﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_SITentativeScript")
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopUpSILayoutTent";
    settings.CallbackRouteValues = new { Controller = "ShippingInstructionTentative", Action = "PopUpSILayoutTent" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopUpSILayoutTent";
    settings.ClientSideEvents.EndCallback = "OnEndCallbackPopUpSILayoutTent";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = false;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 520;
    settings.MinHeight = 520;
    settings.MaxHeight = 520;
    settings.ScrollBars = ScrollBars.Auto;
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(65);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "SHIPPING INSTRUCTION TENTATIVE";
}).GetHtml()
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopUpSIFirmDetail";
    settings.CallbackRouteValues = new { Controller = "ShippingInstructionTentative", Action = "PopUpSIFirmDetail" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopUpSIFirmDetail";
    settings.ClientSideEvents.EndCallback = "OnEndCallbackPopUpSIFirmDetail";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = false;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 200;
    settings.MinHeight = 200;
    settings.MaxHeight = 200;
    settings.ScrollBars = ScrollBars.Auto;
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(60);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Shipping Instruction Detail";
}).GetHtml()
<div class="content">
    <fieldset>
        <table width="100%">
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Packing Company";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_PACKING_COMPANY";
                        settings.Width = 110;
                        settings.Properties.DropDownWidth = 50;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.CallbackPageSize = 30;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                    }
                  ).BindList(ViewData["Packing_Company"]).GetHtml()
                </td>

                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*ETD From";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                  settings =>
                  {
                      settings.Name = "I_ETD_FROM";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                      settings.Properties.DisplayFormatInEditMode = true;
                      settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                      settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                      settings.ReadOnly = false;
                      settings.Properties.UseMaskBehavior = true;
                      settings.Properties.EditFormat = EditFormat.Custom;
                      settings.Properties.CalendarProperties.EnableYearNavigation = true;
                      settings.Width = 110;
                      settings.Properties.ClientSideEvents.DateChanged = "I_ETD_FROM_OnChanged";
                  }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*To";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                      settings =>
                      {
                          settings.Name = "I_ETD_TO";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                          settings.Properties.DisplayFormatInEditMode = true;
                          settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                          settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                          settings.ReadOnly = false;
                          settings.Properties.UseMaskBehavior = true;
                          settings.Properties.EditFormat = EditFormat.Custom;
                          settings.Properties.CalendarProperties.EnableYearNavigation = true;
                          settings.Width = 110;
                      }).GetHtml()
                </td>
                <td colspan="2"></td>
            </tr>
            <tr>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Buyer / Destination";
                    }).GetHtml()
                    @Html.DevExpress().TextBox(hsettings =>
                        {
                            hsettings.Name = "Process_ID2";
                            hsettings.ClientVisible = false;
                        }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_BUYER_CD";
                            settings.Width = 320;
                            settings.Properties.DropDownWidth = 650;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}-{1}";
                            settings.Properties.ValueField = "BUYER_CD";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.Columns.Add("BUYER_CD", "BUYER_CD", 130);
                            settings.Properties.Columns.Add("BUYER_NAME", "BUYER_NAME", Unit.Percentage(500));
                        }
                   ).BindList(ViewData["BUYER"]).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Vanning Date From";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                  settings =>
                  {
                      settings.Name = "I_VANNING_DT_FROM";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                      settings.Properties.DisplayFormatInEditMode = true;
                      settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                      settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                      settings.ReadOnly = false;
                      settings.Properties.UseMaskBehavior = true;
                      settings.Properties.EditFormat = EditFormat.Custom;
                      settings.Properties.CalendarProperties.EnableYearNavigation = true;
                      settings.Width = 110;
                      settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
                  }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "To";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                  settings =>
                  {
                      settings.Name = "I_VANNING_DT_TO";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                      settings.Properties.DisplayFormatInEditMode = true;
                      settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                      settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                      settings.ReadOnly = false;
                      settings.Properties.UseMaskBehavior = true;
                      settings.Properties.EditFormat = EditFormat.Custom;
                      settings.Properties.CalendarProperties.EnableYearNavigation = true;
                      settings.Width = 110;
                  }).GetHtml()
                </td>
                <td colspan="2"></td>
            </tr>
            <tr>
                <td colspan="7"></td>
                <td>
                    @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdSearch";
                         edtSetting.Text = "Search";
                         edtSetting.Width = 100;
                         edtSetting.ClientSideEvents.Click = "OnSearch";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-01", "SEARCH");
                     }
                     ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                    edtSetting =>
                    {
                        edtSetting.Name = "cmdClear";
                        edtSetting.Width = 100;
                        edtSetting.Text = "Clear";
                        edtSetting.ClientSideEvents.Click = "OnClear";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-01", "CLEAR");
                    }).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
</div>
<div class="content" style="min-height: 300px; padding-right: 10px;">
    <fieldset>
        <table width="100%">
            <tr>
                <td>
                    @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdCreateTent";
                        print.Width = 110;
                        print.Text = "Create Tent";
                        print.ClientSideEvents.Click = "OnCreateTent";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-02", "CREATE TENT");
                    }
                    ).GetHtml()
                </td>
                @*add agi 2017-09-06 button reprint request mrs hesti crf*@
                <td>
                    @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdReprint";
                        print.Width = 110;
                        print.Text = "Reprint";
                        print.ClientSideEvents.Click = "onReprint";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-02", "CREATE TENT");
                    }
                    ).GetHtml()
                </td>
                <td style="min-height: 300px; padding-right: 10px;">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Packing Company";
                }).GetHtml()
                </td>
                <td style="min-height: 300px; padding-right: 10px;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PACKING_COMPANY_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
                </td>
                <td style="min-height: 300px; padding-right: 10px;">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer Code";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_BUYER_CD_2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 360;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
    <br />
    @Html.Partial("SITentativeGrid")
</div>
